1. Direct API
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
        POST
      • processCard
        POST
      • processAuth
        POST
      • processCapture
        POST
      • processBatch
        POST
      • retrieveBatch (CSV)
        POST
      • retrieveBatch (JSON Response)
        GET
      • retrieveBatch (JSON Notify)
        GET
      • refundCard
        POST
      • queryCard
        POST
      • processDDebit
        POST
      • processDDebitAuth
        POST
      • processVoid
        POST
      • verifyCard
        POST
      • queryDD
        POST
      • queryBIN
        POST
      • getSettlement
        POST
      • checkEnrollment
        POST
      • checkPARes
        POST
      • addBlacklistedCard
        POST
      • removeBlacklistedCard
        POST
      • queryBlacklistedCard
        POST
      • simulateNotify
        POST
      • getSurcharge
        POST
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Direct API

verifyCard

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/post

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/post' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "MW-MESSAGEHASH": "9ae6750528916c7a6acc249b605f5a54a2c03afd63e436a1d2818440d56540fc",
    "method": "verifyCard",
    "merchantUUID": "123456789abcd",
    "apiKey": "1a3b5c",
    "transactionCurrency": "AUD",
    "customerName": "Mr. Example Person",
    "customerCountry": "AU",
    "customerState": "Queensland",
    "customerCity": "Brisbane",
    "customerAddress": "123 Test Street",
    "customerPostCode": "4000",
    "paymentCardNumber": "5123456789012346",
    "paymentCardExpiry": "0513",
    "paymentCardName": "Mr. Example Person",
    "cardID": "HAVC76258115",
    "transactionReferenceID": "A257240023321",
    "customerPhone": "0401234567",
    "customerEmail": "person@example.com",
    "customerIP": "123.456.789.012",
    "storeID": "Test store name",
    "paymentCardCSC": "123",
    "custom1": "XXXXX",
    "custom2": "XXXXX",
    "custom3": "XXXXX",
    "payframeToken": "KMJI24557546102398",
    "payframeKey": "b941071d7be8d11f4c8e6c038968bc0d",
    "addCard": true,
    "paymentFingerprint": true,
    "schemeCryptogram": "AAEBAwQjSQAAXXXXXXXJYe0BbQA="
}'
Response Response Example
{
    "custom1": "skipbz9j37",
    "custom2": "oppep4eufy",
    "custom3": "ujsbsaqw9k",
    "responseMessage": "Transaction approved",
    "transactionReferenceID": [],
    "responseCode": "0",
    "authCode": "646417",
    "transactionAmount": "0.00",
    "authResponseCode": "00",
    "transactionID": "20066-4373f5cd-b233-11ec-a43d-005056b2764e",
    "receiptNo": "000008646417",
    "paymentFingerprint": "a28ed1cd58daf4b0fe6b7b5b73841bf3516fce1f97b53a9c53ab99bece080ed1",
    "feeAmount": "0.01",
    "customHash": "72002bcbafe6c96af74c30d2b0be9266",
    "authSettledDate": "2022-04-05",
    "paymentCardNumber": "512345XXXXXX2346",
    "authMessage": "Approved"
}
Modified at 2026-08-07 06:27:31
Previous
processVoid
Next
queryDD
Built with